Subject: bug#34620: opam fails

From: Julien Lepiller <[email-masked]>
Date: Fri, 22 Feb 2019 22:41:35 +0100

Le 22 février 2019 21:56:21 GMT+01:00, Gabriel Hondet <[email-masked]> a écrit :
>Hi,
>
>When I try to use opam, it fails:
>
>$ opam install menhir
>
>#=== ERROR while compiling ocaml-system.4.07.1
>================================#
># context     2.0.1 | linux/x86_64 |  | https://opam.ocaml.org#34f81c06
># path        ~/.opam/default/.opam-switch/build/ocaml-system.4.07.1
># command     ~/.opam/opam-init/hooks/sandbox.sh build ocaml
>gen_ocaml_config.ml
># exit-code   1
># env-file    ~/.opam/log/ocaml-system-12254-60459a.env
># output-file ~/.opam/log/ocaml-system-12254-60459a.out
>### output ###
># bwrap: execvp ocaml: No such file or directory
>
>and if I do (in fish)
>$ set -x OPAM_USER_PATH_RO /home/gabriel/.guix-profile/bin/
>
>then I obtain the error:
>
>$ opam install menhir
>
>#=== ERROR while compiling ocaml-system.4.07.1
>================================#
># context     2.0.1 | linux/x86_64 |  | https://opam.ocaml.org#34f81c06
># path        ~/.opam/default/.opam-switch/build/ocaml-system.4.07.1
># command     ~/.opam/opam-init/hooks/sandbox.sh build ocaml
>gen_ocaml_config.ml
># exit-code   1
># env-file    ~/.opam/log/ocaml-system-13887-6cc03f.env
># output-file ~/.opam/log/ocaml-system-13887-6cc03f.out
>### output ###
># bwrap: Can't mkdir parents for /home/gabriel/.guix-profile/bin/: No
>such file or directory
>
>Any idea on how to fix this?
>
>Thanks,
>Gabriel

That's thc limit of opam here, it always tries to install ocaml package with the ocaml compiler. Don't you have a compiler in your switch already though? If so, I wonder why it's not found. Could you try to modify your $PATH to add it?